Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.profile.taglib
Class SetPropertyTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.usermgmt.profile.taglib.ProfileManagementTag
              com.bea.p13n.usermgmt.profile.taglib.PropertyTag
                  com.bea.p13n.usermgmt.profile.taglib.SetPropertyTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

public class SetPropertyTag
extends PropertyTag

Corresponds to `<profile:setProperty>`.

The `<profile:setProperty>` tag updates a property value for either the session's current profile, or for the Anonymous User Profile. The tag has no enclosed body.

Tag Attribute | Required | Type | Description
propertySet | no | String | The Property Set in which the property's value is to be set. Example: "Demo Portal". Note: The property is set for the profile's default (unscoped) properties if no property set is provided.
propertyName | yes | String | The name of the property to be set. Example: "background_color".
value | yes | String | The new property value. Example: "green".
result | no | String | The name of an Integer variable to which the result of the set property operation is assigned. Possible Values: Success: `UserManagerTagConstants.SET_PROPERTY_OK` Error encountered: `UserManagerTagConstants.SET_PROPERTY_FAILED`

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.usermgmt.profile.taglib.ProfileManagementTag
`CREATE_PROFILE_FAILED, CREATE_PROFILE_NO_SUCH_USER, CREATE_PROFILE_OK, GET_PROFILE_FAILED, GET_PROFILE_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, SET_PROPERTY_FAILED, SET_PROPERTY_OK`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SetPropertyTag()`

Method Summary
`int` | `doStartTag()` Set the property in the current profile.
`String` | `getResult()` Get the name of the variable to assign the result to
`Object` | `getValue()` Get the value to set for the property
`void` | `release()` Reset all of the tag's attributes
`void` | `setResult(String s)` Set the name of the variable to assign the result to
`void` | `setValue(Object o)` Set the value to set for the property
`void` | `setValue(String s)` Set the value to set for the property, as a String

Methods inherited from class com.bea.p13n.usermgmt.profile.taglib.PropertyTag
`getPropertyName, getPropertySet, setPropertyName, setPropertySet`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetPropertyTag

    public SetPropertyTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Set the property in the current profile.

  Throws:
    `JspException`

### getResult

    public String getResult()

  Get the name of the variable to assign the result to

### getValue

    public Object getValue()

  Get the value to set for the property

### release

    public void release()

  Reset all of the tag's attributes

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `PropertyTag`

### setResult

    public void setResult(String s)

  Set the name of the variable to assign the result to

### setValue

    public void setValue(Object o)

  Set the value to set for the property

### setValue

    public void setValue(String s)

  Set the value to set for the property, as a String

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved